【IntelliJ IDEA】代码中出现Usage of API documented as @since 1.8+ more..

  1. 云栖社区>
  2. 博客>
  3. 正文

【IntelliJ IDEA】代码中出现Usage of API documented as @since 1.8+ more..

angel挤一挤 2017-12-07 16:58:00 浏览1760
展开阅读全文

 在idea中写代码过程中。有这种报错出现:

Usage of API documented as @since 1.8+ more..

 

 

 

修改JDK版本的几个地方

 

 

 

 

 

最后,在pom.xml文件中添加:

 <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.6.0</version>
                <configuration>
                    <source>1.8</source>
                    <target>1.8</target>
                </configuration>
            </plugin>
        </plugins>
    </build>

 

 

即可解决问题了。

 

网友评论

登录后评论
0/500
评论